Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class DatascrollerTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.DatascrollerTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class DatascrollerTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DatascrollerTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAction(java.lang.String __action)`
`void` | `setActionExpression(java.lang.String __actionExpression)`
`void` | `setActionListener(java.lang.String __actionListener)`
`void` | `setAjaxSingle(java.lang.String __ajaxSingle)`
`void` | `setAlign(java.lang.String __align)`
`void` | `setBoundaryControls(java.lang.String __boundaryControls)`
`void` | `setBypassUpdates(java.lang.String __bypassUpdates)`
`void` | `setData(java.lang.String __data)`
`void` | `setEventsQueue(java.lang.String __eventsQueue)`
`void` | `setFastControls(java.lang.String __fastControls)`
`void` | `setFastStep(java.lang.String __fastStep)`
`void` | `setFirstRow(java.lang.String __firstRow)`
`void` | `setFocus(java.lang.String __focus)`
`void` | `setFor(java.lang.String __for)`
`void` | `setHandleValue(java.lang.String __handleValue)`
`void` | `setIgnoreDupResponses(java.lang.String __ignoreDupResponses)`
`void` | `setImmediate(java.lang.String __immediate)`
`void` | `setInactiveStyle(java.lang.String __inactiveStyle)`
`void` | `setInactiveStyleClass(java.lang.String __inactiveStyleClass)`
`void` | `setLimitToList(java.lang.String __limitToList)`
`void` | `setMaxPages(java.lang.String __maxPages)`
`void` | `setOnbeforedomupdate(java.lang.String __onbeforedomupdate)`
`void` | `setOncomplete(java.lang.String __oncomplete)`
`void` | `setOnpagechange(java.lang.String __onpagechange)`
`void` | `setPage(java.lang.String __page)`
`void` | `setPageIndexVar(java.lang.String __pageIndexVar)`
`void` | `setPagesVar(java.lang.String __pagesVar)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRenderIfSinglePage(java.lang.String __renderIfSinglePage)`
`void` | `setRequestDelay(java.lang.String __requestDelay)`
`void` | `setReRender(java.lang.String __reRender)`
`void` | `setScrollerListener(java.lang.String __scrollerListener)`
`void` | `setSelectedStyle(java.lang.String __selectedStyle)`
`void` | `setSelectedStyleClass(java.lang.String __selectedStyleClass)`
`void` | `setStatus(java.lang.String __status)`
`void` | `setStepControls(java.lang.String __stepControls)`
`void` | `setTableStyle(java.lang.String __tableStyle)`
`void` | `setTableStyleClass(java.lang.String __tableStyleClass)`
`void` | `setTimeout(java.lang.String __timeout)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatascrollerTag

    public DatascrollerTag()

Method Detail

### setAction

    public void setAction(java.lang.String __action)

### setActionExpression

    public void setActionExpression(java.lang.String __actionExpression)

### setActionListener

    public void setActionListener(java.lang.String __actionListener)

### setAjaxSingle

    public void setAjaxSingle(java.lang.String __ajaxSingle)

### setAlign

    public void setAlign(java.lang.String __align)

### setBoundaryControls

    public void setBoundaryControls(java.lang.String __boundaryControls)

### setBypassUpdates

    public void setBypassUpdates(java.lang.String __bypassUpdates)

### setData

    public void setData(java.lang.String __data)

### setEventsQueue

    public void setEventsQueue(java.lang.String __eventsQueue)

### setFastControls

    public void setFastControls(java.lang.String __fastControls)

### setFastStep

    public void setFastStep(java.lang.String __fastStep)

### setFirstRow

    public void setFirstRow(java.lang.String __firstRow)

### setFocus

    public void setFocus(java.lang.String __focus)

### setFor

    public void setFor(java.lang.String __for)

### setHandleValue

    public void setHandleValue(java.lang.String __handleValue)

### setIgnoreDupResponses

    public void setIgnoreDupResponses(java.lang.String __ignoreDupResponses)

### setImmediate

    public void setImmediate(java.lang.String __immediate)

### setInactiveStyle

    public void setInactiveStyle(java.lang.String __inactiveStyle)

### setInactiveStyleClass

    public void setInactiveStyleClass(java.lang.String __inactiveStyleClass)

### setLimitToList

    public void setLimitToList(java.lang.String __limitToList)

### setMaxPages

    public void setMaxPages(java.lang.String __maxPages)

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String __onbeforedomupdate)

### setOncomplete

    public void setOncomplete(java.lang.String __oncomplete)

### setOnpagechange

    public void setOnpagechange(java.lang.String __onpagechange)

### setPage

    public void setPage(java.lang.String __page)

### setPageIndexVar

    public void setPageIndexVar(java.lang.String __pageIndexVar)

### setPagesVar

    public void setPagesVar(java.lang.String __pagesVar)

### setReRender

    public void setReRender(java.lang.String __reRender)

### setRenderIfSinglePage

    public void setRenderIfSinglePage(java.lang.String __renderIfSinglePage)

### setRequestDelay

    public void setRequestDelay(java.lang.String __requestDelay)

### setScrollerListener

    public void setScrollerListener(java.lang.String __scrollerListener)

### setSelectedStyle

    public void setSelectedStyle(java.lang.String __selectedStyle)

### setSelectedStyleClass

    public void setSelectedStyleClass(java.lang.String __selectedStyleClass)

### setStatus

    public void setStatus(java.lang.String __status)

### setStepControls

    public void setStepControls(java.lang.String __stepControls)

### setTableStyle

    public void setTableStyle(java.lang.String __tableStyle)

### setTableStyleClass

    public void setTableStyleClass(java.lang.String __tableStyleClass)

### setTimeout

    public void setTimeout(java.lang.String __timeout)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.